# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "em-http-request"
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ilya Grigorik"]
  s.date = "2011-01-15"
  s.description = "EventMachine based, async HTTP Request client"
  s.email = ["ilya@igvita.com"]
  s.extensions = ["ext/buffer/extconf.rb", "ext/http11_client/extconf.rb"]
  s.files = [".gitignore", ".rspec", "Changelog.md", "Gemfile", "README.md", "Rakefile", "em-http-request.gemspec", "examples/fetch.rb", "examples/fibered-http.rb", "examples/oauth-tweet.rb", "examples/socks5.rb", "examples/websocket-handler.rb", "examples/websocket-server.rb", "ext/buffer/em_buffer.c", "ext/buffer/extconf.rb", "ext/http11_client/ext_help.h", "ext/http11_client/extconf.rb", "ext/http11_client/http11_client.c", "ext/http11_client/http11_parser.c", "ext/http11_client/http11_parser.h", "ext/http11_client/http11_parser.rl", "lib/em-http-request.rb", "lib/em-http.rb", "lib/em-http/client.rb", "lib/em-http/core_ext/bytesize.rb", "lib/em-http/decoders.rb", "lib/em-http/http_encoding.rb", "lib/em-http/http_header.rb", "lib/em-http/http_options.rb", "lib/em-http/mock.rb", "lib/em-http/multi.rb", "lib/em-http/request.rb", "lib/em-http/version.rb", "spec/encoding_spec.rb", "spec/fixtures/google.ca", "spec/helper.rb", "spec/mock_spec.rb", "spec/multi_spec.rb", "spec/request_spec.rb", "spec/stallion.rb", "spec/stub_server.rb"]
  s.homepage = "http://github.com/igrigorik/em-http-request"
  s.require_paths = ["lib"]
  s.rubyforge_project = "em-http-request"
  s.rubygems_version = "1.8.23"
  s.summary = "EventMachine based, async HTTP Request client"
  s.test_files = ["spec/encoding_spec.rb", "spec/fixtures/google.ca", "spec/helper.rb", "spec/mock_spec.rb", "spec/multi_spec.rb", "spec/request_spec.rb", "spec/stallion.rb", "spec/stub_server.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, [">= 0.12.9"])
      s.add_runtime_dependency(%q<addressable>, [">= 2.0.0"])
      s.add_runtime_dependency(%q<escape_utils>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<em-websocket>, [">= 0"])
      s.add_development_dependency(%q<rack>, [">= 0"])
      s.add_development_dependency(%q<mongrel>, ["~> 1.2.0.pre2"])
    else
      s.add_dependency(%q<eventmachine>, [">= 0.12.9"])
      s.add_dependency(%q<addressable>, [">= 2.0.0"])
      s.add_dependency(%q<escape_utils>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<em-websocket>, [">= 0"])
      s.add_dependency(%q<rack>, [">= 0"])
      s.add_dependency(%q<mongrel>, ["~> 1.2.0.pre2"])
    end
  else
    s.add_dependency(%q<eventmachine>, [">= 0.12.9"])
    s.add_dependency(%q<addressable>, [">= 2.0.0"])
    s.add_dependency(%q<escape_utils>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<em-websocket>, [">= 0"])
    s.add_dependency(%q<rack>, [">= 0"])
    s.add_dependency(%q<mongrel>, ["~> 1.2.0.pre2"])
  end
end
